import request from '@/utils/request'

// 查询语音交互-方案列表
export function listScheme(query) {
  return request({
    url: '/vi/scheme/list',
    method: 'get',
    params: query
  })
}

// 查询语音交互-方案详细
export function getScheme(schemeId) {
  return request({
    url: '/vi/scheme/' + schemeId,
    method: 'get'
  })
}

// 新增语音交互-方案
export function addScheme(data) {
  return request({
    url: '/vi/scheme',
    method: 'post',
    data: data
  })
}

// 修改语音交互-方案
export function updateScheme(data) {
  return request({
    url: '/vi/scheme',
    method: 'put',
    data: data
  })
}

// 删除语音交互-方案
export function delScheme(schemeId) {
  return request({
    url: '/vi/scheme/' + schemeId,
    method: 'delete'
  })
}
